@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    line-height: 1.6;
}
h1{
    font-size: 36px;
    font-weight: bold;
    text-align: center;
    margin:40px 0 60px 0;

}
form{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 60px;

}
form input{
    width: 60%;
    max-width: 400px;
    
    border: none;
    box-shadow: 0 0 6px rgba(0,0,0,0.2);
    border-radius: 5px;
    padding:10px 20px;
    font-size: 18px;
    color: #333;
}
#search-button{
    padding: 10px 20px;
    background-color: rgb(26, 133, 26);
    color: #fff;
    border: none;
    font-size: 18px;
    cursor: pointer;
    border-radius: 5px;
    margin-left: 10px;


}
.search-results{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 1200px;
    align-items: center;
    margin: 0 auto;
}
.search-result{
    width: 20%;
    height: 100%;
    margin-bottom: 60px;
    box-shadow: 0 0 6px rgba(0,0,0,0.2);
    border-radius: 5px;
    overflow: hidden;
}
.search-result img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.2s ease-in-out;
}
.search-result:hover{
    opacity: 0.8;

}
.search-result a{
    text-decoration: none;
    color: #333;
    font-size: 20px;
    display: block;
    padding: 10px;
    text-transform: capitalize;
}

#show-more-button{
    background-color: rgb(9, 152, 241);
    font-size: 18px;
    border: none;
    padding: 10px 20px;
    text-align: center;
    display: block;
    margin: 30px auto;
    border-radius: 5px;
    cursor: pointer;
    display: none;


}

@media screen and (max-width: 768px){
    .search-results{
        padding: 20px;
    }
    .search-result{
        width: 45%;
    }
    
}

@media screen and (max-width:480px) {
    .search-result{
        width: 100%;
    }
    
}